#include <stdlib.h>
#include <stdio.h>
#include <strings.h>
#include "SpiceUsr.h"

#define STRLEN 256

int main(int argc, char **argv)
{
     SpiceDouble et;
     SpiceChar *UTC;

     SpiceInt SolO_ID = -144;
     SpiceChar *TLS = "naif0012.tls";
     furnsh_c(TLS);

     SpiceChar *TSC = "solo_ANC_soc-sclk_20200214_V01.tsc";
     furnsh_c(TSC);

     SpiceChar *strTime = "2020-02-12T16:07:25.128";
     //printf("Original time string : %s\n", strTime);
     
     str2et_c(strTime, &et);
     printf("CSPICE output is below:\n");
     printf("UTC is: %s  ---> ET is: %d\n", strTime, et);
     
     //printf("Correspondinng time in UTC is: %s\n", UTC);
     unload_c(TLS);
     unload_c(TSC);
     exit(0);

}
