#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Mar  6 12:16:19 2020

@author: cra
"""

import spiceypy

# SolO NAIF ID
solar_orbiter_naif_id = -144

# Load spice kernels files
tls_filename = "naif0012.tls"
sclk_filename = "solo_ANC_soc-sclk_20200214_V01.tsc"

spiceypy.furnsh(tls_filename)
spiceypy.furnsh(sclk_filename)

utc = "2020-02-12T16:07:25.128"

ET = spiceypy.utc2et(utc)
print("SPICEYPY output as below:")
print("UTC is: {0} ---> ET is: {1}".format(utc, ET))